<?php

namespace HCM\FPA\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use Zeedhi\Framework\ORM\DateTime;

class FpatipodependeEntity
{   
    const TYPE_DAO = 'D';

    const TYPE_ENTITY = 'E';

    const TYPE_FACADE = 'F';

    const TYPE_LOGIC = 'L';

    const IDATUDEPIRRF_SIM = 'S';

    const IDATUDEPIRRF_NAO = 'N';

    const IDATUDEPSALFAM_SIM = 'S';

    const IDATUDEPSALFAM_NAO = 'N';
    
    public function __construct($entityManager, $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function retornaTipoDependencia($nrOrg, $nrOrgPadrao, $nrTipoDependencia) {
        $tipoDependencia = $this->entityManager->getRepository(Repositories::FPA_TIPODEPENDE)->retornaTipoDependencia($nrOrg, $nrOrgPadrao, $nrTipoDependencia);
        return $tipoDependencia;
    }
}

