(function() {
	// ZEEDHI - FRAMEWORK
	window.templateUrls = [
		{
			"package": "default",
		 	"baseUrl": "bower_components/zeedhi-frontend/templates/dyman/"
		},
		{
			"package": "zh-charts",
			"baseUrl": "bower_components/zh-charts/dist/templates/"
		},
		{
	      	"package": "zh-image-uploader",
	      	"baseUrl": "bower_components/zh-image-uploader/dist/templates/"
	      },
		{
	      	 "package": "zh-rich-text",
	      	 "baseUrl": "bower_components/zh-rich-text/dist/templates/"
	      },
	      {
	      	 "package": "zh-customizations-service",
	       	 "baseUrl": "bower_components/zh-customizations-service/dist/templates/"
	      },
	      {
	      	 "package": "zh-reports",
	      	 "baseUrl": "bower_components/zh-reports/dist/templates/"
	      }, 
	      {
      		 "package": "zh-select-autocomplete",
			 "baseUrl": "bower_components/zh-select-autocomplete/dist/templates/"
		}, 
	      {
      		 "package": "zh-preferences",
			 "baseUrl": "bower_components/zh-preferences/dist/templates/"
		}, 
	      {
      		 "package": "zh-filter-preferences",
			 "baseUrl": "bower_components/zh-filter-preferences/dist/templates/"
		}, 
	      {
      		 "package": "zh-layout-preferences",
			 "baseUrl": "bower_components/zh-layout-preferences/dist/templates/"
		}, 
	      {
      		 "package": "zh-view-preferences",
			 "baseUrl": "bower_components/zh-view-preferences/dist/templates/"
		},
        {
        	"package": "zh-grid-configuration",
        	"baseUrl": "bower_components/zh-grid-configuration/dist/templates/"
        },
        {
        	"package": "zh-interval-component",
        	"baseUrl": "bower_components/zh-interval-component/dist/templates/"
        }
	];

	var metadataUrls = [
		{
			"package": "product",
			"baseUrl": "/assets/"
		},
		{
			"package": "modules",
			"baseUrl": "/assets/"
		},
            {
            	"package": "zeedhiFramework",
            	"baseUrl": "./bower_components/zeedhi-frontend/assets"
            },
		{
			"package": "zhuacl",
			"baseUrl": "./bower_components/zhuaclfrontend/assets"
		},
		{
			"package": "zhulog",
			"baseUrl": "./bower_components/zhulog/assets"
		},
		{
			"package": "lib",
			"baseUrl": "./bower_components/tek-libraries"
		},
		{
			"package": "hcm",
			"baseUrl": "/hcm/assets"
		},
		{
			"package": "acl",
			"baseUrl": "/acl/assets"
		},
		{
			"package": "login",
			"baseUrl": "/login/assets"
		},
            {
            	"package": "zh-layout-preferences",
            	"baseUrl": "./bower_components/zh-layout-preferences/dist/assets"
            },
            {
            	"package": "zh-preferences",
            	"baseUrl": "./bower_components/zh-preferences/dist/assets"
            },
            {
            	"package": "zh-filter-preferences",
            	"baseUrl": "./bower_components/zh-filter-preferences/dist/assets"
            },
            {
            	"package": "zh-view-preferences",
            	"baseUrl": "./bower_components/zh-view-preferences/dist/assets"
            }
	];

	window.serviceUrl = window.location.href.search('acl#') === -1 ? "../backend/index.php" : "../backend_acl/index.php";

	var serviceUrls = [];
	metadataUrls.forEach(function (metadataUrl) {
		serviceUrls.push({
			package: metadataUrl.package,
			baseUrl: metadataUrl.package === 'acl' ? "../backend_acl/index.php" : "../backend/index.php"
		});
	});

	window.lang = "pt_br";
	window.projectId = 750;
	window.metadataUrl = 'assets';
	window.applicationVersion = '3.62.0';

	window.metadataUrls = metadataUrls;
	
	serviceUrls.forEach(function(serviceUrl){
		serviceUrl.baseUrl = window.location.href.search('acl#') === -1 ? "../backend/index.php" : "../backend_acl/index.php";
		
		if(serviceUrl.package == 'login'){
			serviceUrl.baseUrl = window.location.href.search('login#') === -1 ? "../backend/index.php" : "../backend_login/index.php";
		}
		
		if(serviceUrl.package == 'zh-preferences' || serviceUrl.package == 'zh-filter-preferences' || serviceUrl.package == 'zh-layout-preferences'
		|| serviceUrl.package == 'zh-view-preferences'){
			serviceUrl.baseUrl = "../backend/index.php/zh-preferences";
		}
	});
	
	window.serviceUrls = serviceUrls;

	window.cssStyle = "inflightor";
	window.cssUrl = "../../../assets/css/inflightor.css";
	
    window.defaultImageProduct = './assets/images/user.jpg?v=3.62.0';
    window.defaultImageModules = '../../../assets/images/user.jpg?v=3.62.0';
		
	//window.defaultUserImageUrl = "/assets/images/user.jpg";

	window.inDeveloperMode = false;

	window.templateUrls.push({
      package: "hcm-custom",
      baseUrl: 'templates/custom-fields/'
  });
})();